#include "Default.h"
#include <sstream>
#include <iostream>

#include "Logger/Logger.h"

using namespace std;
using namespace boost;

namespace UpperTestAdapter {
  
namespace Processors {
  
namespace TriggerCommandsOffLine {
  
Default::Default()
{
}

Default::~Default()
{
  Logger::Instance().LogInfo("Default::~Default");
}

int Default::Process(const string &trigger, const vector<string> &parameterList)
{
  stringstream ss;
  // Process the command.
  ss << "Default::Process: " << trigger;
  Logger::Instance().LogDebug(ss.str());
  return 0; // See TTCN-3 FncRetCode 
}

} } } // namespaces

